river-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Firmstone <j...@zeus.net.au>
Subject Re: Java Version for Jini Platform Service Servers
Date Thu, 30 Dec 2010 12:16:35 GMT
Sim IJskes - QCG wrote:
> On 29-12-10 23:16, Peter Firmstone wrote:
>> Java Minimum Version for Jini Platform Service Server side 
>> implementations:
>>
>> Java 6:
>> +1 Peter Firmstone
>
> Peter, do you have a proposal how to verify the compatibility of the 
> proxy classes?
>
The most obvious way would be to compile them on the minimum platform 
they are required to support.  Since some have raised issues with 
compiling with a later jdk version for an earlier platform.  If any 
unsupported methods are introduced they'd be discovered.

The server implementation actually depends on the proxy, so there's 
nothing wrong with compiling the proxy using an earlier jdk, then 
compiling the server implementation with the latest and requiring the 
proxy jar also be loaded on the server as a dependency library.

I noticed you were experimenting with source version auditing, how did 
that go?

Cheers,

Peter.

Mime
View raw message